## muffin 5.2.1

=== debian/changelog ===
muffin (5.2.1-1) unstable; urgency=medium

  * New upstream release 5.2.1.

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Sat, 12 Mar 2022 17:45:03 -0500

muffin (5.2.0-2) unstable; urgency=medium

  * add myself to uploaders
  * prepare unstable release

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 25 Jan 2022 18:49:45 +0100
