=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%muffin-$1.tar.gz%" \
   https://github.com/linuxmint/muffin/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
