## muffin 5.4.7

=== debian/changelog ===
muffin (5.4.7-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.4.7
  * Update symbols

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 09 Sep 2022 11:07:33 +0200

muffin (5.4.6-1) unstable; urgency=medium

  * New upstream version 5.4.6
  * d/copyright: avoid redundant globbing patterns

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 21 Aug 2022 21:11:51 +0200

muffin (5.4.5-3) unstable; urgency=medium

  * Fix library name for pkgconfig in autopkgtest
  * d/rules: disable wacom in configure for not linux archs
  * d/control: add missed libcinnamon-desktop-dev to libmuffin-dev deps

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 15 Aug 2022 14:20:48 +0200

muffin (5.4.5-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 14 Aug 2022 15:51:46 +0200

muffin (5.4.5-1) experimental; urgency=medium

  * New upstream version 5.4.5

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 01 Aug 2022 20:42:57 +0200

muffin (5.4.4-1) experimental; urgency=medium

  * New upstream version 5.4.4
  * d/control: add libwacom-dev to build-deps

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 25 Jul 2022 22:11:20 +0200

muffin (5.4.3-1) experimental; urgency=medium

  * New upstream version 5.4.3
  * Update symbols
  * d/control: add missing breaks/replaces to libmuffin-dev and
    libmuffin0 for moved files in 5.4

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 20 Jul 2022 23:00:17 +0200

muffin (5.4.1-1) experimental; urgency=medium

  * New upstream version 5.4.1
    this is a big rebase after over 10 years based on
    Mutter 3.36.9-0ubuntu0.20.04.1
  * Simplify d/watch
  * debian: big packaging changes mainly based on mutter packaging
    and some changes done upstream
  * add d/libmuffin0.bug-control: include GL drivers in bug reports
  * dump deps and breaks of reverse-deps to 5.4
  * change packages long description
  * removed muffin-doc and add replaces in muffin
  * remove d/patches: the patch is not needed anymore
  * update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 10 Jul 2022 22:55:06 +0200
