=== debian/control ===
--- 
+++ 
@@ -1,24 +1,17 @@
 Source: muffin
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
-Uploaders:
- Maximiliano Curia <maxy@debian.org>,
- Margarita Manterola <marga@debian.org>,
- Fabio Fantoni <fantonifabio@tiscali.it>,
- Joshua Peisach <itzswirlz2020@outlook.com>,
- Norbert Preining <norbert@preining.info>,
- Christoph Martin <martin@uni-mainz.de>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
-        debhelper-compat (= 13),
+        debhelper-compat (= 12),
         dh-sequence-gir,
         at-spi2-core <!nocheck>,
         adwaita-icon-theme <!nocheck>,
-        cinnamon-desktop-data (>= 5.4),
+        cinnamon-desktop-data (>= 5.3.0),
         dbus <!nocheck>,
         dmz-cursor-theme <!nocheck>,
         gnome-pkg-tools (>= 0.10),
-        cinnamon-settings-daemon (>= 5.4) <!nocheck>,
+        cinnamon-settings-daemon <!nocheck>,
         gobject-introspection (>= 1.41.3),
         gtk-doc-tools (>= 1.15),
         libcairo2-dev (>= 1.10.0),
@@ -31,7 +24,7 @@
         libgl1-mesa-dev (>= 7.1~rc3-1~),
         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
         libglib2.0-dev (>= 2.61.1),
-        libcinnamon-desktop-dev (>= 5.4),
+        libcinnamon-desktop-dev,
         libgraphene-1.0-dev (>= 1.9.3),
         libgtk-3-dev (>= 3.19.8),
         libgudev-1.0-dev (>= 232) [linux-any],
@@ -40,7 +33,7 @@
         libjson-glib-dev (>= 0.13.2-1~),
         libpam0g-dev,
         libpango1.0-dev (>= 1.2.0),
-        libpipewire-0.3-dev [linux-any],
+        libpipewire-0.3-dev [linux-any] | libpipewire-0.2-dev [linux-any],
         libsm-dev,
         libstartup-notification0-dev (>= 0.7),
         libsystemd-dev (>= 212) [linux-any],
@@ -70,16 +63,15 @@
         xserver-xorg-core [linux-any],
         xvfb <!nocheck>,
         zenity
-Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://cinnamon.linuxmint.com/
-Vcs-Browser: https://salsa.debian.org/cinnamon-team/muffin
-Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git
+Standards-Version: 4.5.0
 
 Package: gir1.2-meta-muffin-0.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
+Breaks: gir1.2-muffin-3.0
+Replaces: gir1.2-muffin-3.0
 Depends: libmuffin0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
@@ -90,7 +82,6 @@
  .
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
-Breaks: cinnamon (<< 5.4~), cinnamon-common (<< 5.4~)
 
 Package: libmuffin0
 Section: libs
@@ -101,8 +92,8 @@
          muffin-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: cinnamon (<< 5.4~), libmuffin-dev (<< 5.4.1-1~)
-Replaces: libmuffin-dev (<< 5.4.1-1~)
+Replaces: muffin-doc
+Breaks: apparmor (<< 2.13.3-5~)
 Description: window and compositing manager (shared library)
  Muffin is a window manager performing compositing as well based on
  GTK+ and Clutter and used in Cinnamon desktop environment.
@@ -118,15 +109,12 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: x-window-manager
-Recommends: cinnamon-session (>= 5.4~) | x-session-manager
-Suggests: cinnamon-control-center (>= 5.4~), xdg-user-dirs
-Replaces: muffin-doc
+Suggests: xdg-user-dirs
 Description: window and compositing manager
  Muffin is a window manager performing compositing as well based on
  GTK+ and Clutter and used in Cinnamon desktop environment.
  .
  This package contains the core binaries.
-Breaks: cinnamon (<< 5.4~), cinnamon-core (<< 5.4~)
 
 Package: muffin-common
 Section: misc
@@ -139,10 +127,26 @@
  .
  This package contains the shared files.
 
+Package: muffin-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends:
+ libmuffin0 (= ${binary:Version}),
+ muffin (= ${binary:Version}),
+ ${misc:Depends},
+Description: window and compositing manager (debugging symbols)
+ Muffin is a window manager performing compositing as well based on
+ GTK+ and Clutter and used in Cinnamon desktop environment.
+ .
+ This package contains the debugging symbols.
+
 Package: libmuffin-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
+Breaks: libmuffin0 (<< 5.3)
+Replaces: libmuffin0 (<< 5.3)
 Depends: gir1.2-meta-muffin-0.0 (= ${binary:Version}),
          libatk1.0-dev,
          libcairo2-dev,
@@ -167,8 +171,6 @@
          libxi-dev,
          libxrandr-dev,
          ${misc:Depends}
-Breaks: libmuffin0 (<< 5.4.1-1~)
-Replaces: libmuffin0 (<< 5.4.1-1~)
 Description: window and compositing manager (development files)
  Muffin is a window manager performing compositing as well based on
  GTK+ and Clutter and used in Cinnamon desktop environment.
