## muffin 5.6.2

=== debian/changelog ===
muffin (5.6.2-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 25 Dec 2022 19:12:41 +0100

muffin (5.6.2-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.6.2
  * Update symbols
  * Bump needed deps and breaks of reverse-deps to 5.6

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on gnome-pkg-tools,
      gobject-introspection, gtk-doc-tools, libcairo2-dev, libdrm-dev,
      libegl1-mesa-dev, libfribidi-dev, libgirepository1.0-dev, libgl1-mesa-dev,
      libgles2-mesa-dev, libgtk-3-dev, libgudev-1.0-dev, libinput-dev,
      libjson-glib-dev, libpango1.0-dev, libstartup-notification0-dev,
      libsystemd-dev, libwacom-dev, libxcomposite-dev, libxi-dev,
      libxkbcommon-dev and pkg-config.
    + libmuffin-dev: Drop versioned constraint on libgles2-mesa-dev and
      libinput-dev in Depends.

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 20 Dec 2022 20:08:09 +0100
