## muffin 5.6.3

=== debian/changelog ===
muffin (5.6.3-1) unstable; urgency=medium

  * New upstream version 5.6.3

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 08 Jan 2023 20:59:44 +0100
