## muffin 5.6.4

=== debian/changelog ===
muffin (5.6.4-1) unstable; urgency=medium

  * New upstream bugfix version 5.6.4
  * Replace libgdk-pixbuf2.0-dev build-dep. with libgdk-pixbuf-2.0-dev
  * Update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 19 Mar 2023 22:33:27 +0100
