=== debian/control ===
--- 
+++ 
@@ -149,7 +149,7 @@
          libcinnamon-desktop-dev (>= 5.6),
          libdrm-dev,
          libegl1-mesa-dev,
-         libgdk-pixbuf2.0-dev,
+         libgdk-pixbuf-2.0-dev,
          libgles2-mesa-dev | libgles2-dev,
          libglib2.0-dev,
          libgraphene-1.0-dev (>= 1.9.3),
