=== debian/watch ===
version=4
https://github.com/linuxmint/muffin/tags (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
