## muffin 5.6.4%2Bvera

=== debian/changelog ===
muffin (5.6.4+vera) vera; urgency=medium

  [ Michael Webster ]
  * meta-gpu-xrandr: Account for the current user text scale factor when calculating the crtc scale based on Xft.dpi.
  * window.c: Allow meta_window_get_xwindow() to be used with introspection.
  * window.c: Restore property notify for the tile mode property.
  * place.c: Add missing import.
  * display.c: Make meta_display_get_pointer_window() available to cinnamon again.
  * clutter-text.c: Remove redundant clutter_text_set_buffer call in finalize.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Mar 2023 13:59:23 +0000

muffin (5.6.3) vera; urgency=medium

  [ Bobby Rong ]
  * compositor: Fix possible crash when restarting Cinnamon (#655)

  [ Michael Webster ]
  * tiling: Skip the resize effect for tiled windows during user grabs.
  * tiling: Remove unnecessary update_edge_constraints().
  * Add tilix and qterminal to the new-window focus list.
  * window activation: Detect a couple of conditions that might cause initial window focus and stacking to be wrong (mostly because of bad timestamps), and correct them.
  * window.c: Improve the test for checking if an 'above' window may cover a new window.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 15:54:38 +0000

muffin (5.6.2) vera; urgency=medium

  [ Michael Webster ]
  * Disable automaximize by default.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Dec 2022 15:15:15 +0000

muffin (5.6.1) vera; urgency=medium

  [ Duncan Grisby ]
  * Bring back window placement-mode  (#649)

  [ Michael Webster ]
  * Update debian symbols file.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Nov 2022 16:32:53 +0000

muffin (5.6.0) vera; urgency=medium

  [ Michael Webster ]
  * Use github instead of circleci.
  * tooltips: ensure tooltips are viewable.
  * window-props: Change a warning to a debug message.
  * meta-input-settings: Re-apply settings once the display is done setting up.

  [ Rick Calixte ]
  * Support multiple key bindings for 'locate-pointer-key' (#638)

  [ Cobinja ]
  * Revert renaming of the X11 atoms wm_name and gnome_wm_keybindings

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 Nov 2022 10:01:55 +0000

muffin (5.4.7) vanessa; urgency=medium

  [ Fabio Fantoni ]
  * some fixes to debian packaging (#635)

  [ Michael Webster ]
  * keybindings: Fix workspace navigation while dragging a window with the mouse.
  * tiling: Try to tile to the default size if a match exists, but is impossible to satisfy due to min/max size constraints.
  * tiling: Fix tile top/maximize tests.
  * window.c: Remove unused code.
  * tiling: Make it easier to debug.
  * Relocate bring-windows-to-current-workspace from org.cinnamon to org.cinnamon.muffin.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:35:56 +0100
