## muffin 5.6.4+vera

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
 	dh $@
@@ -84,3 +84,8 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -Llibmuffin-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/muffin
+
+override_dh_strip:
+	dh_strip --dbg-package=muffin-dbg
+
+override_dh_dwz:
